## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global __provides_exclude_from ^%{_libdir}/fcitx5/.*\\.so$

%if 0%{?fedora} >= 40
%global use_qt6 1
%else
%global use_qt6 0
%endif

%if %{use_qt6}
%define qt_major_ver 6
%else
%define qt_major_ver 5
%endif

Name:           fcitx5-kkc
Version:        5.1.6
Release:        %autorelease
Summary:        Libkkc input method support for Fcitx5
# Automatically converted from old format: GPLv3+ - review is highly recommended.
License:        GPL-3.0-or-later
Url:            https://github.com/fcitx/fcitx5-kkc
Source:         https://download.fcitx-im.org/fcitx5/%{name}/%{name}-%{version}.tar.zst
Source1:        https://download.fcitx-im.org/fcitx5/%{name}/%{name}-%{version}.tar.zst.sig
Source2:        https://pgp.key-server.io/download/0x8E8B898CBF2412F9

BuildRequires:  gnupg2
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  ninja-build
BuildRequires:  extra-cmake-modules
BuildRequires:  cmake(Fcitx5Core)
BuildRequires:  cmake(Fcitx5Qt5WidgetsAddons)
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(kkc-1.0)
BuildRequires:  pkgconfig(Qt%{qt_major_ver}Core)
BuildRequires:  pkgconfig(Qt%{qt_major_ver}Gui)
BuildRequires:  pkgconfig(Qt%{qt_major_ver}Widgets)
BuildRequires:  pkgconfig(gee-0.8)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  gettext
BuildRequires:  /usr/bin/appstream-util
Requires:       hicolor-icon-theme
Requires:       fcitx5-data
Requires:       libkkc-data

%description
This provides libkkc input method support for fcitx5. Released under GPL3+.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -p1

%build
%cmake -GNinja \
%if %{use_qt6}
  -DUSE_QT6=On
%else
  -DUSE_QT6=Off
%endif
%cmake_build

%install
%cmake_install

# convert symlinked icons to copied icons, this will help co-existing with
# fcitx4
for iconfile in $(find %{buildroot}%{_datadir}/icons -type l)
do
  origicon=$(readlink -f ${iconfile})
  rm -f ${iconfile}
  cp ${origicon} ${iconfile}
done 
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.metainfo.xml
%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%license LICENSES/GPL-3.0-or-later.txt
%{_libdir}/fcitx5/kkc.so
%{_libdir}/fcitx5/qt%{qt_major_ver}/libfcitx5-kkc-config.so

%{_datadir}/fcitx5/addon/kkc.conf
%{_datadir}/fcitx5/inputmethod/kkc.conf

%dir %{_datadir}/fcitx5/kkc
%{_datadir}/fcitx5/kkc/dictionary_list
%{_datadir}/fcitx5/kkc/rule

%{_datadir}/icons/hicolor/*/apps/fcitx_kkc.png
%{_datadir}/icons/hicolor/*/apps/org.fcitx.Fcitx5.fcitx_kkc.png
%{_metainfodir}/org.fcitx.Fcitx5.Addon.Kkc.metainfo.xml
%changelog
## START: Generated by rpmautospec
* Thu Jan 23 2025 Qiyu Yan <yanqiyu@fedoraproject.org> - 5.1.6-1
- update to upstream release 5.1.6

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Oct 10 2024 Qiyu Yan <yanqiyu@fedoraproject.org> - 5.1.5-1
- update to upstream release 5.1.5

* Thu Jul 25 2024 Miroslav Suchý <msuchy@redhat.com> - 5.1.4-3
- convert GPLv3+ license to SPDX

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sat Jun 01 2024 Qiyu Yan <yanqiyu@fedoraproject.org> - 5.1.4-1
- update to upstream release 5.1.4

* Tue Apr 23 2024 Qiyu Yan <yanqiyu@fedoraproject.org> - 5.1.3-1
- update to upstream release 5.1.3

* Fri Mar 01 2024 Qiyu Yan <yanqiyu@fedoraproject.org> - 5.1.2-1
- update to upstream release 5.1.2

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 05 2024 Qiyu Yan <yanqiyu@fedoraproject.org> - 5.1.1-1
- update to upstream release 5.1.1

* Fri Aug 18 2023 Qiyu Yan <yanqiyu@fedoraproject.org> - 5.1.0-1
- update to upstream release 5.1.0

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.12-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Mar 12 2023 Qiyu Yan <yanqiyu@fedoraproject.org> - 5.0.12-2
- Fix a build failure

* Sun Mar 12 2023 Qiyu Yan <yanqiyu@fedoraproject.org> - 5.0.12-1
- update to upstream release 5.0.12

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Nov 21 2022 Qiyu Yan <yanqiyu@fedoraproject.org> - 5.0.11-1
- update to upstream release 5.0.11

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jul 04 2022 Qiyu Yan <yanqiyu@fedoraproject.org> - 5.0.10-1
- update to upstream release 5.0.10

* Mon May 23 2022 Qiyu Yan <yanqiyu@fedoraproject.org> - 5.0.9-1
- update to upstream release 5.0.9

* Thu Mar 10 2022 Qiyu Yan <yanqiyu@fedoraproject.org> - 5.0.8-1
- update to upstream release 5.0.8

* Wed Feb 02 2022 Qiyu Yan <yanqiyu@fedoraproject.org> - 5.0.7-1
- update to upstream release 5.0.7

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Sep 26 2021 Qiyu Yan <yanqiyu@fedoraproject.org> - 5.0.6-1
- update to 5.0.6

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon Mar 22 2021 Qiyu Yan <yanqiyu@fedoraproject.org> - 5.0.5-1
- Update to 5.0.5 upstream release

* Sat Feb 20 2021 Qiyu Yan <yanqiyu@fedoraproject.org> - 5.0.4-1
- update to 5.0.4 upstream release

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jan 13 11:10:03 CST 2021 Qiyu Yan <yanqiyu@fedoraproject.org> - 5.0.3-1
- update to 5.0.3 upstream release

* Fri Dec 11 18:58:34 CST 2020 Qiyu Yan <yanqiyu@fedoraproject.org> - 5.0.2-2
- fix conlict with fcitx4

* Sat Dec  5 17:28:32 CST 2020 Qiyu Yan <yanqiyu@fedoraproject.org> - 5.0.2-1
- Update to 5.0.2 upstream release

* Sat Dec  5 16:27:52 CST 2020 Qiyu Yan <yanqiyu@fedoraproject.org> - 5.0.1-1
- Update to 5.0.1 upstream release

* Tue Nov  3 19:54:55 CST 2020 Qiyu Yan <yanqiyu@fedoraproject.org> - 5.0.0-1
- update to 5.0.0 upstream release

* Fri Oct 16 2020 Qiyu Yan <yanqiyu@fedoraproject.org> - 0-0.3
- update to 0ffde563576b3ac4f62c55f5508251de3f22fd0b upstream commit

* Sat Sep 12 2020 Qiyu Yan <yanqiyu@fedoraproject.org> - 0-0.2
- Rebuild for fcitx5

* Mon Aug 31 09:58:21 CST 2020 Qiyu Yan <yanqiyu@fedoraproject.org> - 0-0.1.20200831git7c6d0b5
- Initial Package


## END: Generated by rpmautospec
